TakenAt: 2023-09-15T06:06:42Z
TakenAtLocal: 2023-09-15T07:06:42Z
TakenSrc: meta
UID: pt67wiuyuxhaf72y
Type: image
Title: Recents / 2023
TimeZone: UTC+1
Year: 2023
Month: 9
Day: 15
Quality: 2
Faces: 4
Details:
  Keywords: brown, people, recents
CreatedAt: 2025-11-24T06:25:42Z
UpdatedAt: 2025-11-24T09:24:02Z
